# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# This package is superseded by the version included in Test-Harness ≥ 3.0
# bundled with perl 5.10 onwards from Fedora 9

Name:		perl-TAP-Harness
Version:	3.30
Release:	1%{?dist}
Summary:	Run Perl standard test scripts with statistics
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/Test-Harness
Source0:	http://cpan.metacpan.org/authors/id/L/LE/LEONT/Test-Harness-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Pod::Usage) >= 1.12
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	perl(Time::HiRes)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Run Perl tests and output formatted results with statistics.

%prep
%setup -q -n Test-Harness-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/TAP/
%{_mandir}/man3/TAP::Base.3pm*
%{_mandir}/man3/TAP::Formatter::Base.3pm*
%{_mandir}/man3/TAP::Formatter::Color.3pm*
%{_mandir}/man3/TAP::Formatter::Console.3pm*
%{_mandir}/man3/TAP::Formatter::Console::ParallelSession.3pm*
%{_mandir}/man3/TAP::Formatter::Console::Session.3pm*
%{_mandir}/man3/TAP::Formatter::File.3pm*
%{_mandir}/man3/TAP::Formatter::File::Session.3pm*
%{_mandir}/man3/TAP::Formatter::Session.3pm*
%{_mandir}/man3/TAP::Harness.3pm*
%{_mandir}/man3/TAP::Harness::Beyond.3pm*
%{_mandir}/man3/TAP::Harness::Env.3pm*
%{_mandir}/man3/TAP::Object.3pm*
%{_mandir}/man3/TAP::Parser.3pm*
%{_mandir}/man3/TAP::Parser::Aggregator.3pm*
%{_mandir}/man3/TAP::Parser::Grammar.3pm*
%{_mandir}/man3/TAP::Parser::Iterator.3pm*
%{_mandir}/man3/TAP::Parser::Iterator::Array.3pm*
%{_mandir}/man3/TAP::Parser::Iterator::Process.3pm*
%{_mandir}/man3/TAP::Parser::Iterator::Stream.3pm*
%{_mandir}/man3/TAP::Parser::IteratorFactory.3pm*
%{_mandir}/man3/TAP::Parser::Multiplexer.3pm*
%{_mandir}/man3/TAP::Parser::Result.3pm*
%{_mandir}/man3/TAP::Parser::Result::Bailout.3pm*
%{_mandir}/man3/TAP::Parser::Result::Comment.3pm*
%{_mandir}/man3/TAP::Parser::Result::Plan.3pm*
%{_mandir}/man3/TAP::Parser::Result::Pragma.3pm*
%{_mandir}/man3/TAP::Parser::Result::Test.3pm*
%{_mandir}/man3/TAP::Parser::Result::Unknown.3pm*
%{_mandir}/man3/TAP::Parser::Result::Version.3pm*
%{_mandir}/man3/TAP::Parser::Result::YAML.3pm*
%{_mandir}/man3/TAP::Parser::ResultFactory.3pm*
%{_mandir}/man3/TAP::Parser::Scheduler.3pm*
%{_mandir}/man3/TAP::Parser::Scheduler::Job.3pm*
%{_mandir}/man3/TAP::Parser::Scheduler::Spinner.3pm*
%{_mandir}/man3/TAP::Parser::Source.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::Executable.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::File.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::Handle.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::Perl.3pm*
%{_mandir}/man3/TAP::Parser::SourceHandler::RawTAP.3pm*
%{_mandir}/man3/TAP::Parser::YAMLish::Reader.3pm*
%{_mandir}/man3/TAP::Parser::YAMLish::Writer.3pm*
# These conflict with Test::Harness that is part of perl
%exclude %{_bindir}/prove
%exclude %{perl_vendorlib}/App/
%exclude %{perl_vendorlib}/Test/
%exclude %{_mandir}/man1/prove*
%exclude %{_mandir}/man3/App::Prove*
%exclude %{_mandir}/man3/Test::Harness*
%exclude %{_mandir}/man3/Test::HACKING.3pm*

%changelog
* Wed Nov 13 2013 Paul Howarth <paul@city-fan.org> - 3.30-1
- Update to 3.30
  - Respect PERL5LIB in tainting source handler test
  - Use base instead of parent: this dist is used for testing all other
    modules, so it should avoid having any non-core prerequisites; having
    parent as a prereq leads to a circular dependency of
    parent -> Test::More -> Test::Harness
  - Various POD fixes
  - Don't localize all of %%ENV in harness.t
  - Give TAP::Harness::Beyond a unique NAME
- This release by LEONT -> update source URL

* Fri Oct 11 2013 Paul Howarth <paul@city-fan.org> - 3.29-1
- Update to 3.29
  - Get rid of use vars in favour of our in all modules and tests
  - Added use warnings to all modules and tests
  - Use parent instead of @ISA in all modules and tests
  - Fix failing test on VMS
  - Improve error message on loading failure (CPAN RT#77730)
  - Use Text::ParseWords, deprecate and remove TAP::Parser::Utils

* Thu May  2 2013 Paul Howarth <paul@city-fan.org> - 3.28-1
- Update to 3.28
  - Bugfix: Fix taint failures on Windows

* Wed May  1 2013 Paul Howarth <paul@city-fan.org> - 3.27-1
- Update to 3.27
  - Dramatically reduce memory usage (CPAN RT#84939)
  - Store test_num (in Grammar.pm) as a number instead of a string, which
    reduces memory usage (CPAN RT#84939)
  - PERL5LIB is always propagated to a test's @INC, even with taint more
    (CPAN RT#84377)

* Mon Apr  1 2013 Paul Howarth <paul@city-fan.org> - 3.26-1
- Import from Fedora
- Update to 3.26

* Mon Jun  2 2008 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> 3.10-1
- Specfile autogenerated by cpanspec 1.75
- Fix description
- Exclude Test::Harness
